<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class extends Kohana's [Database_Query_Builder_Insert] to ensure that we have a site_id included in the values
 *
 * @package    OSB
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */

class Database_Query_Builder_Insert extends Kohana_Database_Query_Builder_Insert {
	public function compile($db = NULL) {
		$this->_columns = Arr::Merge($this->_columns,['site_id']);

		foreach ($this->_values as $k=>$v)
			$this->_values[$k] = Arr::Merge($this->_values[$k],[Site::id()]);

		return parent::compile($db);
	}
}
?>
