<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides the default template controller for rendering pages.
 *
 * @package    OSB
 * @category   Controllers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
abstract class Controller_TemplateDefault extends lnAuth_Controller_TemplateDefault {
	protected $auth_required = TRUE;

	protected function save(Model $o) {
		try {
			return $o->save();

		} catch (ORM_Validation_Exception $e) {
			SystemMessage::factory()
				->title('Record NOT updated')
				->type('error')
				->body(join('<br/>',array_values($e->errors('models'))));

			return FALSE;
		}
	}
}
?>
